<?php
namespace ImageCode\WiredmindsLeadlab\Controller;

/***
 *
 * This file is part of the "Leadlab by Wiredminds" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2017 Uwe Jakobs <uwe.jakobs@imageco.de>, ImageCode
 *
 ***/

class AbstractController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController
{

	/**
	 * persistenceManager
	 *
	 * @var \TYPO3\CMS\Extbase\Persistence\Generic\PersistenceManager
	 * @inject
	 */
	protected $persistenceManager;

	/**
	 * extension key
	 * 
	 * @var string
	 */
	protected $extKey = 'wiredminds_leadlab';


	/**
	 * action module
	 * used for the backend module
	 * @return \string The rendered view. For the backend module
	 */
	public function moduleAction()
	{
		$this->view->assignMultiple(
			array(
				'llSettings' => $this->llSettings
			)
		);
	}
}
