<?php
namespace ImageCode\WiredmindsLeadlab\EM;
/***************************************************************
*  Copyright notice
*
*  (c) 2017 Uwe Jakobs <leadlab@imageco.de>
*  All rights reserved
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/**
 * Plugin 'Typ3 wiredminds_leadlab' for the 'wiredminds_leadlab' extension.
 *
 * @author	Uwe Jakobs <leadlab@imageco.de>
 */

use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Core\Utility\CommandUtility;


class Info
{

    /** @var string */
    protected $extKey = 'wiredminds_leadlab';
	
		

	
	public function chkUpdate (){
		$out = array();
		
		if (\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::isLoaded('leadlab')) {
            $emLink = \ImageCode\WiredmindsLeadlab\Utility\MiscUtility::getExtensionManagerLink('wiredminds_leadlab', 'UpdateScript', 'show');
			
			$out[] = '<div class="wm-info">There is still an old "leadlab"-Extension running on this TYPO3-Installation!</div>';
			$out[] = '<div class="wm-info">Do not run old and new leadlab-Extensions together on production systems!</div>';
			$out[] = sprintf('Please consider to <a href="%s"><strong>run the Update script</strong></a>.', $emLink);
			// $out[] = '<a class="btn btn-default" href="/typo3/index.php?M=tools_ExtensionmanagerExtensionmanager&amp;tx_extensionmanager_tools_extensionmanagerextensionmanager%5BextensionKey%5D=wiredminds_leadlab&amp;tx_extensionmanager_tools_extensionmanagerextensionmanager%5Baction%5D=show&amp;tx_extensionmanager_tools_extensionmanagerextensionmanager%5Bcontroller%5D=UpdateScript" title="" data-original-title="Aktualisierungs-Skript ausführen"><span class="t3js-icon icon icon-size-small icon-state-default icon-extensions-extensionmanager-update-script" data-identifier="extensions-extensionmanager-update-script"> <span class="icon-markup"> <span class="icon-unify"><i class="fa fa-refresh"></i></span> </span> </span></a>';
		} else {
			$out[] = '<style>#category-0 > div > div.form-group-dashed:nth-child(1){display:none;} .form-group-dashed+.form-group-dashed{border:none;}</style>';
		}
		
		return implode(LF, $out);
	}

	public function setAdv (){
		$out = array();
		$out[] = '<div class="wm-info">CAUTION! You should have read the documentation of this extension to ensure you understand the implication.<br>
In doubt, please consider to contact the wireminds-Support.</div>';
		$out[] = '<div class="ll-logo"><img alt="LeadLab" src="/typo3conf/ext/wiredminds_leadlab/Resources/Public/Icons/leadlab_logo.svg" width="150" height="30"></div>';
		//$out[] = '<style>label[for=em-advanced, .wm-info{color:red;} label span{display:none;} .tab-pane {position:relative;} .ll-logo{position: absolute; right: 15px; top:15px;}</style>';
		
		return implode(LF, $out);		
	}
	
	public function setCk (){
		$out = array();
		
		$out[] = '<div class="wm-info">This property (and many more) are set in <a href="https://ll.wiredminds.de/" target="_blank"><strong>lead</strong>lab</a> now!</div>';
		$out[] = '<div class="ll-logo"><img alt="LeadLab" src="/typo3conf/ext/wiredminds_leadlab/Resources/Public/Icons/leadlab_logo.svg" width="150" height="30"></div>';
		$out[] = '<style>label[for=em-campaignKey], .wm-info{color:red;} label span{display:none;} .tab-pane {position:relative;} .ll-logo{position: absolute; right: 15px; top:15px;}</style>';
		
		return implode(LF, $out);		
	}
		
	public function showConsole (){
		$out = array();

		$out[] = '<iframe id="ll" name="ll" src="https://ll.wiredminds.de" scrolling="auto"></iframe>';
		$out[] = '<div class="ll-info"><a href="https://ll.wiredminds.de/" target="_blank">Open in new window: <strong>lead</strong>lab</a></div>';
		$out[] = '<style>label[for=em-console]{display:none;} .ll-info a{color: red;} iframe#ll {border:none; width:98%; height: 600px; overflow-x: hidden; overflow-y: scroll}</style>';

		return implode(LF, $out);		
	}	
	
	public function setInfo (){
		$out = array();
		$out[] = '<div class="ll-logo"><img alt="LeadLab" src="/typo3conf/ext/wiredminds_leadlab/Resources/Public/Icons/leadlab_logo.svg" width="150" height="30"></div>';
		$out[] = '<p class="servicetext"><span class="hl">DER WIREDMINDS SERVICE: IMMER AN IHRER SEITE</span></p>
<p>Unser Experten-Team aus dem Service hilft Ihnen kostenlos bei der Lösung technischer Fragestellungen. </p>
<p>Wenn Sie Fragen zur Konfiguration der Typo3 Extension haben, schreiben Sie eine Mail an <a href="mailto:support@wiredminds.de"><strong>support@wiredminds.de</strong></a></p>
<p>oder rufen uns unter der <a href="tel:+49711585331314"><strong>+49 711 585 331-314</strong></a> an - werktags, täglich zwischen 9.00 Uhr bis 17.00 Uhr.</p>
<p>Ihr Service &amp; Consulting Team</p>
<p><a href="https://www.wiredminds.de" target="_blank"><strong>www.wiredminds.de</strong></a></p>';
		
		
		
		$out[] = '<style>label[for=em-support]{display:none;} .hl{font-size:1.25em; font-weight: bold;} .servicetext a{color: #ff0000;} </style>';

		return implode(LF, $out);		
	}	


}