<?php
defined('TYPO3_MODE') || die();

$tmp_wiredminds_leadlab_columns = [

    'll_disable' => [
        'exclude' => true,
        'label' => 'LLL:EXT:wiredminds_leadlab/Resources/Private/Language/locallang_db.xlf:tx_wiredminds_leadlab_domain_model_leadlab.ll_disable',
        'config' => [
            'type' => 'check',
            'items' => [
                '1' => [
                    '0' => 'LLL:EXT:lang/locallang_core.xlf:labels.enabled'
                ]
            ],
            'default' => 0,
        ]
    ],
    'll_milestone' => [
        'exclude' => true,
        'label' => 'LLL:EXT:wiredminds_leadlab/Resources/Private/Language/locallang_db.xlf:tx_wiredminds_leadlab_domain_model_leadlab.ll_milestone',
        'config' => [
            'type' => 'input',
            'size' => 30,
            'eval' => 'trim'
        ],
    ],
    'll_page_name' => [
        'exclude' => true,
        'label' => 'LLL:EXT:wiredminds_leadlab/Resources/Private/Language/locallang_db.xlf:tx_wiredminds_leadlab_domain_model_leadlab.ll_page_name',
        'config' => [
            'type' => 'input',
            'size' => 30,
            'eval' => 'trim'
        ],
    ],
    'll_group_name' => [
        'exclude' => true,
        'label' => 'LLL:EXT:wiredminds_leadlab/Resources/Private/Language/locallang_db.xlf:tx_wiredminds_leadlab_domain_model_leadlab.ll_group_name',
        'config' => [
            'type' => 'input',
            'size' => 30,
            'eval' => 'trim'
        ],
    ],

];


\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('pages',$tmp_wiredminds_leadlab_columns,1);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('pages', '--div--;LeadLab by wiredminds,ll_disable;;;;1-1-1, ll_milestone, ll_page_name, ll_group_name');


